class ThingsNotify expands SpawnNotify;

function prebeginplay(); //don't check for relevance

simulated function PostBeginPlay()
{
	local actor other;

	//Don't add to notifylist if server, but keep available, so it's existence is replicated to clients
	if (Level.NetMode == NM_DedicatedServer) //mutator works on server. We keep moving in client
		return;
	Super.PostBeginPlay(); //add.
	log ("Spell Notify And Extra Initialized...",'Kroogar');
	ForEach Allactors(class'actor',other)
	{
		if ( string (Other.Name) ~= "ZoneInfo3" ) //Spell fix
		{
			ZoneInfo(Other).ZoneName = "Nitrogen Treatment Zone";
		}
		if ( string (Other.Name) ~= "ZoneInfo17" ) //Spell fix
		{
			ZoneInfo(Other).ZoneName = "Commandement's Post";
		}
	}
	SpawnOtherStuff();
}

simulated function SpawnOtherStuff()
{
	local Rotator NewRot;

	NewRot.Yaw=-16384;
	Spawn(class'P_Krogaar_Patch',,,vect(0,-5884,110),NewRot);
	NewRot.Roll=-16384;
	Spawn(class'E_CapitalU',,,vect(700,-6515,32),NewRot);
	NewRot.Yaw=16384;
	Spawn(class'E_CapitalU',,,vect(-700,-6532,32),NewRot);
	NewRot.Yaw=32768;
	NewRot.Roll=0;
	Spawn(class'E_Shieldd',,,vect(0,-5896,568),NewRot);
	Spawn(class'E_Robot',,,vect(32,3984,280),NewRot);
	NewRot.Yaw=0;
	Spawn(class'E_Robot',,,vect(72,4264,280),NewRot);
	Spawn(class'E_GoldTapestry',,,vect(-1256,4624,216));
	Spawn(class'E_GoldTapestry',,,vect(1256,4624,216));
	Spawn(class'E_U',,,vect(-2,7415,736)).DrawScale=1.500000;
	NewRot.Yaw=-27888;
	Spawn(class'E_Fighter',,,vect(-64,6952,1640),NewRot);
	NewRot.Yaw=-5240;
	Spawn(class'E_Fighter2',,,vect(-129,6232,1474),NewRot);
	NewRot.Yaw=-26200;
	Spawn(class'E_Fighter',,,vect(8832,22543,-84),NewRot);
	NewRot.Yaw=-32992;
	Spawn(class'E_Fighter2',,,vect(8544,23296,-29),NewRot);
	NewRot.Yaw=-11744;
	Spawn(class'Wrn_Sgn',,,vect(14824,3078,-357),NewRot);
}

simulated event Actor SpawnNotification(Actor other)
{
	if ( string (Other.Name) ~= "ZoneInfo3" )
	{
		ZoneInfo(Other).ZoneName = "Nitrogen Treatment Zone";
	}
	if ( string (Other.Name) ~= "ZoneInfo17" ) //Spell fix
	{
			ZoneInfo(Other).ZoneName = "Commandement's Post";
	}
	return other;
}

defaultproperties
{
}